Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Imports DevExpress.ExpressApp.ConditionalAppearance
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class RegistryFileData
    Inherits FileAttachmentBase
    Protected _RegistryHeader As RegistryHeader
    Private _DocumentType As String
    Private _DocumentFileData As DocumentFileData
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property DocumentType As String
        Get
            Return _DocumentType
        End Get
        Set(ByVal value As String)
            SetPropertyValue("DocumentType", _DocumentType, value)
        End Set
    End Property
    <Persistent(), Association("RegistryHeader-RegistryFileData")> _
    Public Property RegistryHeader() As RegistryHeader
        Get
            Return _RegistryHeader
        End Get
        Set(ByVal value As RegistryHeader)
            SetPropertyValue("RegistryHeader", _RegistryHeader, value)
        End Set
    End Property
End Class

